[Overview][Resource strings][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'daemonapp' (#fcl)

# TErrorSeverity

Severity of a startup error (Windows only)

## Declaration

Source position: daemonapp.pp line 150

`type TErrorSeverity = (`
`esIgnore,` |  | Ignore startup errors
`esNormal,` |  | Error is logged, but startup continues
`esSevere,` |  | Error is logged, and startup is continued if last known good configuration is active, or system is restarted using last known good configuration
`esCritical` |  | Error is logged, and startup is stopped if last known good configuration is active, or system is restarted using last known good configuration
`);`

## Description

TErrorSeverity determines what action windows takes when the daemon fails to start. It is used on windows only, and is ignored on other platforms.